MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027784Community[OCCT] OCCT:Modeling Algorithmspublic2016-08-17 11:182018-06-29 21:19
Reporterickby 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0027784: Thickness fails on cylinder with draft
DescriptionThe algortihm to create a thick shape fails for a cylinder with a draft face. It works on a default cylinder, and also with drafted cylinder with an filleted edge. However, it crashes on the drafted cylinder without the fillet.

Problem found within FreeCAD 0.17 with OCC 7.0.

Steps To Reproducepload MODELING

pcylinder cyl 50 30;
explode cyl f;
dep draft cyl 0 0 -1 cyl_1 20 0 0 0 0 0 1

#try thickness on cylinder: works
offsetcompshape c_thick cyl -5 cyl_2

#try thickness on draft: exeption
explode draft f;
offsetcompshape d_thick draft -5 draft_2

#try thickness on draft + fillet: works
explode draft e;
blend fillet draft 10 draft_3
explode fillet f;
offsetcompshape f_thick fillet -5 fillet_3
TagsNo tags attached.
Test case numberbugs modalg_7 bug27784
Attached Files

- Relationships
related to 0025930closedbugmaster thickness of spherical cap is invalid 
related to 0027785newmsv Thickness operation "warps" shape at seam edge 

-  Notes
(0069203)
ickby (reporter)
2017-08-08 14:20

The issue is reproduced on OCC 7.2 beta.
(0069587)
apv (tester)
2017-08-18 16:10

Problem described in issue is reproduced on current state of OCCT.
(0071854)
git (administrator)
2017-10-31 10:24

Branch CR27784 has been created by aml.

SHA-1: f84b28c24742ce54359fdf915a47820720923760


Detailed log of new commits:

Author: aml
Date: Tue Oct 31 06:43:57 2017 +0300

    0027784: Thickness fails on cylinder with draft
    
    Incorrect calculation of intersection in 2D space is fixed.
    Corresponding test cases have been added.
(0071855)
git (administrator)
2017-10-31 10:25

Branch CR27784 has been updated forcibly by aml.

SHA-1: f56e0071e323feed11c96c2a76157f0d85b5e0de
(0071866)
git (administrator)
2017-10-31 13:40

Branch CR27784 has been updated by aml.

SHA-1: 0d7c4ae095a34ba8005fb2d3f45162ef54b9623a


Detailed log of new commits:

Author: aml
Date: Tue Oct 31 13:39:00 2017 +0300

    # Test cases improvement.

(0071885)
aml (developer)
2017-11-01 10:24

Dear msv,

Could you please check the current state of the CR27784 branch?
Corresponding jenkins job:
http://jenkins-test-10.nnov.opencascade.com:8080/view/CR27784-master-AML/ [^]
(0071886)
aml (developer)
2017-11-01 10:27

In scope of this correction two cases have been healed:
bug25930
bug27784
(0071903)
msv (developer)
2017-11-01 12:50

Reviewed.
(0071907)
bugmaster (administrator)
2017-11-01 13:12

Combination -
OCCT branch : CR27784 SHA-1: 0d7c4ae095a34ba8005fb2d3f45162ef54b9623a
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0072069)
git (administrator)
2017-11-08 18:24

Branch CR27784 has been deleted by kgv.

SHA-1: 0d7c4ae095a34ba8005fb2d3f45162ef54b9623a

- Related Changesets
occt: master 3cdf48fe
Timestamp: 2017-10-31 03:43:57
Author: aml
Committer: bugmaster
Details ] Diff ]
0027784: Thickness fails on cylinder with draft

Incorrect calculation of intersection in 2D space is fixed.
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - tests/bugs/modalg_7/bug25930 Diff ] File ]
mod - tests/bugs/modalg_7/bug27784 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-17 11:18 ickby New Issue
2016-08-17 11:18 ickby Assigned To => msv
2016-08-17 15:36 msv Relationship added related to 0027785
2017-08-08 14:20 ickby Note Added: 0069203
2017-08-18 16:10 apv Test case number => bugs modalg_7 bug27784
2017-08-18 16:10 apv Note Added: 0069587
2017-10-31 10:21 aml Assigned To msv => aml
2017-10-31 10:21 aml Status new => assigned
2017-10-31 10:24 git Note Added: 0071854
2017-10-31 10:25 git Note Added: 0071855
2017-10-31 13:40 git Note Added: 0071866
2017-11-01 10:24 aml Note Added: 0071885
2017-11-01 10:24 aml Assigned To aml => msv
2017-11-01 10:24 aml Status assigned => resolved
2017-11-01 10:27 aml Note Added: 0071886
2017-11-01 12:50 msv Note Added: 0071903
2017-11-01 12:50 msv Assigned To msv => bugmaster
2017-11-01 12:50 msv Status resolved => reviewed
2017-11-01 13:12 bugmaster Note Added: 0071907
2017-11-01 13:12 bugmaster Status reviewed => tested
2017-11-01 15:04 bugmaster Target Version => 7.4.0*
2017-11-01 15:20 aml Relationship added related to 0025930
2017-11-02 18:34 bugmaster Changeset attached => occt master 3cdf48fe
2017-11-02 18:34 bugmaster Status tested => verified
2017-11-02 18:34 bugmaster Resolution open => fixed
2017-11-08 18:24 git Note Added: 0072069
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker